svn commit: r212789 - head/sbin/reboot

Andriy Gapon avg at FreeBSD.org
Fri Sep 17 09:50:36 UTC 2010


Author: avg
Date: Fri Sep 17 09:50:36 2010
New Revision: 212789
URL: http://svn.freebsd.org/changeset/base/212789

Log:
  nextboot: warn about limitations of /boot/nextboot.conf on ZFS
  
  MFC after:	1 week

Modified:
  head/sbin/reboot/nextboot.sh

Modified: head/sbin/reboot/nextboot.sh
==============================================================================
--- head/sbin/reboot/nextboot.sh	Fri Sep 17 09:14:40 2010	(r212788)
+++ head/sbin/reboot/nextboot.sh	Fri Sep 17 09:50:36 2010	(r212789)
@@ -50,6 +50,14 @@ if [ ${force} = "NO" -a ! -d /boot/${ker
 	exit 1
 fi
 
+df -Tn "/boot/" 2>/dev/null | while read _fs _type _other ; do
+	[ "zfs" = "${_type}" ] || continue
+	cat 1>&2 <<-EOF
+		WARNING: loader(8) has only R/O support for ZFS
+		nextboot.conf will NOT be reset in case of kernel boot failure
+	EOF
+done
+
 cat > ${nextboot_file} << EOF
 nextboot_enable="YES"
 kernel="${kernel}"


More information about the svn-src-all mailing list